Bug 9735 - pam_winbind upn to username conversion doesn't work if you have defined a different seperator
pam_winbind upn to username conversion doesn't work if you have defined a dif...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
3.6.13
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 13:15 UTC by Andreas Schneider
Modified: 2013-04-08 07:34 UTC (History)
0 users

See Also:


Attachments
v3-6-test and v4-0-test patch (945 bytes, patch)
2013-03-22 13:29 UTC, Andreas Schneider
gd: review+
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-03-22 13:15:00 UTC
pam_winbind upn to username conversion doesn't work if you have defined a different seperator in the config file. It always uses '\'. The following patch will fix the problem.
Comment 1 Andreas Schneider 2013-03-22 13:29:57 UTC
Created attachment 8673 [details]
v3-6-test and v4-0-test patch
Comment 2 Guenther Deschner 2013-03-22 13:30:52 UTC
Comment on attachment 8673 [details]
v3-6-test and v4-0-test patch

Looks good, thanks!
Comment 3 Guenther Deschner 2013-03-22 13:31:21 UTC
Karolin, please add to 4.0.x and 3.6.x. Thanks.
Comment 4 Karolin Seeger 2013-04-07 19:53:56 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-04-08 07:34:38 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!